@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

/*this css file contains some common css for the whole project*/
:root {
    height: auto;
    --background-color: #e8e8e8;
    --transparent-color: rgba(0, 0, 0, 0);
        --surface-color: #d1d6ded;
    --second-background-color: #d4d4d4;
    --text-color: #ffffff;
    --primary-color: #D95D5D;
    --secondary-color: #4E2121;
    --accent-color: #98A6B3;
    --button-color: #d95d5d;
    --hover-background-color: #b53838;
    --button-text-color: #ffffff;
    --shadow-color: rgba(0, 0, 0, 0.1);
    --input-background-color: #EAF0FE;
    --hover-text-color: #000000;
}
html {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
 
}
 
.mud-picker-content {
    background-color: var(--background-color);
}

/*stop embed checked later*/
.mud-paper, .mud-image {
    background-color: transparent;
    box-shadow: none !important;
}

.custom-bg-color{
    background-color: var(--background-color);

}
body {
    background-image: url("../img/bgs.png"); /* Replace with your image path */
    background-size: cover; /* Ensures the image covers the entire background */
    background-position: center center; /* Center the background image */
    background-repeat: no-repeat; /* Prevents the image from repeating */
    background-attachment: fixed; /* Keeps the image in a fixed position during scroll */
    margin: 0;
    padding: 0;
    height: 100vh; /* Ensure the background covers the full viewport height */
}

/* Optional: Ensures full coverage on smaller devices like mobile */
html, body {
    min-height: 100%;
    min-width: 100%;
}
 
body{
    background-color : transparent;
}


.login-upper-part {
    height: 20%;
    
}

.common-bg {
    background-color: var(--transparent-color);
    color: var(--text-color);
}

.weather-centered-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.spin-container {
    width: 200px;
    height: 200px;
    font-size: 5rem;
    color: var(--primary-color);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

/**amjad bitirdi*/

.text-white {
    color: white;
}


#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }


    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
.overlay-loading{
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background: rgba(0,0,0,0.3);
}
.ring {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 200px;
    height: 200px;
    background: transparent;
    border: 3px solid #3c3c3c;
    border-radius: 50%;
    text-align: center;
    line-height: 200px;
    font-family: sans-serif;
    font-size: 20px;
    color: var( --primary-color);
    letter-spacing: 4px;
    text-transform: uppercase;
    text-shadow: 2px 2px 4px white;
    box-shadow: 0 0 20px rgba(0,0,0,.5);
}

    .ring:before {
        content: '';
        position: absolute;
        top: -3px;
        left: -3px;
        width: 100%;
        height: 100%;
        border: 3px solid transparent;
        border-top: 3px solid var( --primary-color);
        border-right: 3px solid var( --primary-color);
        border-radius: 50%;
        animation: animateC 2s linear infinite;
    }

.loading-span {
    display: block;
    position: absolute;
    top: calc(50% - 2px);
    left: 50%;
    width: 50%;
    height: 4px;
    background: transparent;
    transform-origin: left;
    animation: animate 2s linear infinite;
}

    .loading-span:before {
        content: '';
        position: absolute;
        width: 16px;
        height: 16px;
        border-radius: 50%;
        background: var( --primary-color);
        top: -6px;
        right: -8px;
        box-shadow: 0 0 20px var( --primary-color);
    }

@keyframes animateC {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes animate {
    0% {
        transform: rotate(45deg);
    }

    100% {
        transform: rotate(405deg);
    }
}

.mud-table-foot {
    background-color: var(--second-background-color);
}
